/* Set default font to Helv size 8 or restore to default */
parse upper arg option .
call RxFuncAdd "SysIni", "RexxUtil", "SysIni"
AppName = "PM_SystemFonts"
KeyName = "DefaultFont"
if option = "RESTORE" then
do
    FontName = "10.System Proportional"
    say "Restoring default font 10.System Proportional"
end
else
do
    FontName = "8.Helv"
                                        /* Alternatively, using 9 pts. WarpSans
                                           font also looks nice on Warp4+ */
/*
 *    FontName = "9.WarpSans"
 */
    say "Setting default font 8.Helv"
end
call SysIni "USER", AppName, KeyName, FontName||"0"x
say "Font will be active after next reboot"
exit
